/* 
 * AndSys 0.3.m.29 Copyright (C) 2012, 2013 Giulio Orru'
 * 
 * Licensed under the MIT license:
 * 
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 * 
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.andsys;

import android.content.Intent;
import android.view.View;
import android.widget.ImageButton;

/*
 * TODO: not well sort Packages List on Change language 
 * TODO: designed for tablets
 */

/**
 * Commons in every Activity
 */
public abstract class Activity extends android.app.Activity {

    // protected void onCreate(Bundle savedInstanceState)
    // super.onCreate(savedInstanceState);
    // // Remove title bar: call requestWindowFeature(... before setContentView(...
    // //this.requestWindowFeature(Window.FEATURE_NO_TITLE);
    // // or in ShadowTheme parent="@android:style/Theme.NoTitleBar"

    @Override
    protected void onStart() {
        super.onStart();

        /*
         * FIRST CHILD MUST setContentView(...
         */

        /*
         * THEN...
         */

        /*
         * Header1 Button: change background of selected button
         */

        if (getClass().equals(ActivityApps.class)) {
            ImageButton button = (ImageButton) findViewById(R.id.buttonApps);
            button.setBackgroundResource(R.drawable.theme_imagebutton_selected);

        } else if (getClass().equals(ActivityDevice.class)) {
            ImageButton button = (ImageButton) findViewById(R.id.buttonDevice);
            button.setBackgroundResource(R.drawable.theme_imagebutton_selected);

        } else if (getClass().equals(ActivityHelp.class)) {
            ImageButton button = (ImageButton) findViewById(R.id.buttonHelp);
            button.setBackgroundResource(R.drawable.theme_imagebutton_selected);
        }
    }

    public void onClickButtonApps(View view) {
        Intent intent = new Intent(this, ActivityApps.class);
        startActivity(intent);
    }
    public void onClickButtonDevice(View view) {
        Intent intent = new Intent(this, ActivityDevice.class);
        startActivity(intent);
    }
    public void onClickButtonHelp(View view) {
        Intent intent = new Intent(this, ActivityHelp.class);
        startActivity(intent);
    }

}
